<?php
/**
* Google site map
* @version 2.0.0
* @package gsg.org
* @copyright (C) 2004 by rg66
* @license Released under the terms of the GNU General Public License$
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// common
DEFINE("_gsg_component_title","Google Sitemap Generator");
DEFINE("_gsg_component_title_menu","Google Sitemap Generator Menu");
DEFINE("_gsg_component_title_conf","Google Sitemap Generator - Configuration");
DEFINE("_gsg_component_title_xml","Google Sitemap Generator - STEP 1");
DEFINE("_gsg_component_title_xml2","Google Sitemap Generator - STEP 2");

DEFINE("_gsg_xlm_filename","XML File name");
DEFINE("_gsg_xlm_filename_help","XML File name.  Do not end with .xml, otherwise there will be an error.");

DEFINE("_gsg_writeable","Writeable");
DEFINE("_gsg_unwriteable","Unwriteable");

DEFINE("_gsg_exists","Exist");
DEFINE("_gsg_exists_not","Does not Exist");

DEFINE("_gsg_lastmodified","Last Modified");
DEFINE("_gsg_lastmodified_1","Actual Date");
DEFINE("_gsg_lastmodified_2","Stored Database Date");
DEFINE("_gsg_lastmodified_help","Define if the actual today date should be used or the date stored in the database.");

DEFINE("_gsg_changefreq","Change frequency");
DEFINE("_gsg_changefreq_1","always");
DEFINE("_gsg_changefreq_2","hourly");
DEFINE("_gsg_changefreq_3","daily");
DEFINE("_gsg_changefreq_4","weekly");
DEFINE("_gsg_changefreq_5","monthly");
DEFINE("_gsg_changefreq_6","yearly");
DEFINE("_gsg_changefreq_7","never");
DEFINE("_gsg_changefreq_help","The frequency with which the URL is likely to change.");

DEFINE("_gsg_changepriority","Priority");
DEFINE("_gsg_changepriority_0","0.0");
DEFINE("_gsg_changepriority_1","0.1");
DEFINE("_gsg_changepriority_2","0.2");
DEFINE("_gsg_changepriority_3","0.3");
DEFINE("_gsg_changepriority_4","0.4");
DEFINE("_gsg_changepriority_5","0.5");
DEFINE("_gsg_changepriority_6","0.6");
DEFINE("_gsg_changepriority_7","0.7");
DEFINE("_gsg_changepriority_8","0.8");
DEFINE("_gsg_changepriority_9","0.9");
DEFINE("_gsg_changepriority_10","1.0");
DEFINE("_gsg_changepriority_help","The priority of this page relative to other pages on the same site.");

DEFINE("_gsg_config_nowrite","Config file not writeable!");
DEFINE("_gsg_xml_nowrite","The XML file is not writeable!");
DEFINE("_gsg_settings_saved","Settings saved");
DEFINE("_gsg_configuration_saved","The Configuration Details have been updated");

DEFINE("_gsg_menu_section_1","Edit the Config File");
DEFINE("_gsg_menu_section_2","Start the procedure to generate the XML Google Sitemap file");
DEFINE("_gsg_menu_section_3","About GSG");

DEFINE("_gsg_title","Title");
DEFINE("_gsg_url","URL");
DEFINE("_gsg_Date","Date");

DEFINE("_gsg_checkall","Check All");

DEFINE("_gsg_toolbar_xml","Generate XML");

DEFINE("_gsg_xml_confirmation","The File ");
DEFINE("_gsg_xml_confirmation_2"," has been generated. You can see below the XML Content.");
DEFINE("_gsg_xml_confirmation_3"," The GSG has generated XML file with ");
DEFINE("_gsg_xml_confirmation_4","  urls.");

DEFINE("_gsg_ping","Ping Google");
DEFINE("_gsg_ping_help","Always inform google when sitemap is created.");
DEFINE("_gsg_ping_ok","Google has accepted the submission of your Sitemap.");
DEFINE("_gsg_ping_error","There has been an error with the submission to Google.");

DEFINE("_gsg_displayedit","Display edit screen after scan.");
DEFINE("_gsg_displayedit_help","AVAILABLE NEXT VERSION!. Setup values for each url (priority, lastmod, changefreq, enabled/disabled) - might take some time with more than 1000 urls! ");

DEFINE("_gsg_location","Sitemap location");
DEFINE("_gsg_location_help","Define where the XML Sitemap should be stored.");

DEFINE("_gsg_mambomenu","Active Menus");
DEFINE("_gsg_mambomenu_help","Choose which menu should be included in the sitemap..");

DEFINE("_gsg_xmlfile_renamed","<li>XML File was renamed!</li>");
DEFINE("_gsg_xmlfile_not_renamed","<li>XML File was not renamed! Old file name is the default again!</li>");

DEFINE("_gsg_xmlfile_moved","XML File was moved!");
DEFINE("_gsg_xmlfile_not_moved","XML File was not moved! Old location path is the default again!");

DEFINE("_gsg_google_submit","Submit to Google SiteMaps");

DEFINE("_gsg_allow_url_fopen","Within the php.ini the ALLOW_URL_FOPEN is set to OFF.  Automatic ping to google has been disabled!");

DEFINE("_gsg_make_folder","<li>A new folder was created to store the XML file!<li>");
DEFINE("_gsg_no_folder","<li>The folder ");
DEFINE("_gsg_no_folder_2"," in the root does not exist</li>");
DEFINE("_gsg_make_folder_slash","Do not put a trailing slash at the end. It will be added automatically"); 

DEFINE("_gsg_update","Check for Update"); 
DEFINE("_gsg_update_available","Update Available"); 
DEFINE("_gsg_update_not_available","No Update Available"); 
DEFINE("_gsg_update_current_version","Your Current Version is "); 
DEFINE("_gsg_update_new_Version","The latest Version is "); 

DEFINE("_gsg_view","View the XML File"); 

//Module section
DEFINE("_gsg_module_title","MODULE SECTION!");
DEFINE("_gsg_module_on","Module Status");
DEFINE("_gsg_module_on_help","You can turn the Module On or Off. When Off it will not generate the XML automatically");
DEFINE("_gsg_module_hours","Run XML after");
DEFINE("_gsg_module_hours_help","After how many days should the XML be loaded automatically from the frontend?");
DEFINE("_gsg_module_day","Choose a Day");

DEFINE("_gsg_on","ON");
DEFINE("_gsg_off","OFF");
                         
DEFINE("_gsg_3plugin", "3rd Party Plugin");
DEFINE("_gsg_3plugin_upload", "Upload 3rd Party File");
DEFINE("_gsg_3plugin_title", "Install new 3rd Party File");
DEFINE("_gsg_3plugin_file", "3rd Party File");
DEFINE("_gsg_3plugin_installed", "Installed 3rd Party Plugins");
DEFINE("_gsg_3plugin_installed_plugin", "3rd Party Plugin Title");
DEFINE("_gsg_3plugin_installed_title", "3rd Party Plugin Description");
DEFINE("_gsg_3plugin_installed_active", "Active");

DEFINE("_gsg_delete_gsgdefault", "You can not delete the default plugin!");
DEFINE("_gsg_delete_plugin_1", "The plugin: ");
DEFINE("_gsg_delete_plugin_2", " has been deleted!");
DEFINE("_gsg_delete_nofile", "The file does not exist, it can not be deleted.");
DEFINE("_gsg_delete_3p_db_1", "<li>The 3rd Party class <b>");
DEFINE("_gsg_delete_3p_db_2", "  has been deleted from the database.</li>"); 

DEFINE("_gsg_upload_pathnotfound", "Path not found!");
DEFINE("_gsg_upload_filenotfound", "File not uploaded!");
DEFINE("_gsg_upload_fileuploaded", "File uploaded!");
DEFINE("_gsg_upload_fileexists", "Uploadfile already exists");
DEFINE("_gsg_upload_UPLOAD_ERR_INI_SIZE_1", "The uploaded file exceeds the upload_max_filesize directive (");
DEFINE("_gsg_upload_UPLOAD_ERR_INI_SIZE_2", ") in php.ini.");
DEFINE("_gsg_upload_UPLOAD_ERR_FORM_SIZE", "The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form.");
DEFINE("_gsg_upload_UPLOAD_ERR_PARTIAL", "The uploaded file was only partially uploaded.");
DEFINE("_gsg_upload_UPLOAD_ERR_NO_FILE", "No file was uploaded.");
DEFINE("_gsg_upload_UPLOAD_ERR_NO_TMP_DIR", "Missing a temporary folder.");
DEFINE("_gsg_upload_ERR_DEFAULT", "An unknown file upload error occured");

DEFINE("_gsg_active_make", "make it active");
DEFINE("_gsg_active_notmake", "make it not active");
DEFINE("_gsg_active_select", "Select a 3rd Party Plugin element to");

DEFINE("_gsg_message_center", "Message Center");

?>